#include "GameCharacters.h"
#include <sstream>

GameCharacter::GameCharacter(string n,string t,Weapon* w)
{
    name = n; typeName = t; weapon = w;
}
string GameCharacter::toString()
{
    stringstream s;
    s<<typeName<<" "<<name<<", hitpoints"<<hitpoints
           <<", "<<weapon->toString()<<"\n";

    return s.str();
}

Player::Player(string n, Weapon *w) : GameCharacter(n,"Player",w)
{

}
